<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>ClaudiaMainW</class>
 <widget class="QMainWindow" name="ClaudiaMainW">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>877</width>
    <height>566</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Claudia</string>
  </property>
  <widget class="QWidget" name="centralwidget">
   <layout class="QVBoxLayout" name="verticalLayout_2">
    <item>
     <widget class="QFrame" name="frame_toolbar">
      <property name="sizePolicy">
       <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <layout class="QHBoxLayout" name="horizontalLayout_7">
       <property name="spacing">
        <number>4</number>
       </property>
       <property name="margin">
        <number>0</number>
       </property>
       <item>
        <widget class="QGroupBox" name="group_studio">
         <property name="title">
          <string>Studio</string>
         </property>
         <layout class="QHBoxLayout" name="horizontalLayout_2">
          <item>
           <widget class="QPushButton" name="b_studio_new">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>New Studio</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/document-new.png</normaloff>:/16x16/document-new.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_studio_load">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Load Studio</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/document-open.png</normaloff>:/16x16/document-open.png</iconset>
            </property>
            <property name="shortcut">
             <string>Ctrl+Shift+L</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_studio_save">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Save Studio</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/document-save.png</normaloff>:/16x16/document-save.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_studio_save_as">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Save Studio As</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/document-save-as.png</normaloff>:/16x16/document-save-as.png</iconset>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item>
        <widget class="QGroupBox" name="group_project">
         <property name="title">
          <string>Project</string>
         </property>
         <layout class="QHBoxLayout" name="horizontalLayout_6">
          <item>
           <widget class="QPushButton" name="b_project_new">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>New Project</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/document-new.png</normaloff>:/16x16/document-new.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_project_load">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Open Project</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/document-open.png</normaloff>:/16x16/document-open.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_project_save">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Save Project</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/document-save.png</normaloff>:/16x16/document-save.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_project_save_as">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Save Project As</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/document-save-as.png</normaloff>:/16x16/document-save-as.png</iconset>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item>
        <widget class="QGroupBox" name="group_transport">
         <property name="title">
          <string>Transport</string>
         </property>
         <layout class="QHBoxLayout" name="horizontalLayout_3">
          <item>
           <widget class="QPushButton" name="b_transport_play">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Transport Play/Pause</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/media-playback-start.png</normaloff>:/16x16/media-playback-start.png</iconset>
            </property>
            <property name="checkable">
             <bool>true</bool>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_transport_stop">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Transport Stop</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/media-playback-stop.png</normaloff>:/16x16/media-playback-stop.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_transport_backwards">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Transport Backwards</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/media-seek-backward.png</normaloff>:/16x16/media-seek-backward.png</iconset>
            </property>
            <property name="autoRepeat">
             <bool>true</bool>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_transport_forwards">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Transport Forwards</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/media-seek-forward.png</normaloff>:/16x16/media-seek-forward.png</iconset>
            </property>
            <property name="autoRepeat">
             <bool>true</bool>
            </property>
           </widget>
          </item>
          <item>
           <widget class="Line" name="line">
            <property name="orientation">
             <enum>Qt::Vertical</enum>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QLabel" name="label_time">
            <property name="font">
             <font>
              <family>DejaVu Sans Mono</family>
              <pointsize>9</pointsize>
             </font>
            </property>
            <property name="contextMenuPolicy">
             <enum>Qt::CustomContextMenu</enum>
            </property>
            <property name="text">
             <string>??:??:??</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QDoubleSpinBox" name="sb_bpm">
            <property name="toolTip">
             <string>Beats per Minute</string>
            </property>
            <property name="decimals">
             <number>2</number>
            </property>
            <property name="maximum">
             <double>999.000000000000000</double>
            </property>
            <property name="value">
             <double>120.000000000000000</double>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item>
        <widget class="QGroupBox" name="group_canvas">
         <property name="title">
          <string>Canvas</string>
         </property>
         <layout class="QHBoxLayout" name="horizontalLayout_4">
          <item>
           <widget class="QPushButton" name="b_canvas_zoom_fit">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Zoom Auto-Fit</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/zoom-fit-best.png</normaloff>:/16x16/zoom-fit-best.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_canvas_zoom_in">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Zoom In</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/zoom-in.png</normaloff>:/16x16/zoom-in.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_canvas_zoom_out">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Zoom Out</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/zoom-out.png</normaloff>:/16x16/zoom-out.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_canvas_zoom_100">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Zoom 100%</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/zoom-original.png</normaloff>:/16x16/zoom-original.png</iconset>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item>
        <widget class="QGroupBox" name="group_tools">
         <property name="title">
          <string>Tools</string>
         </property>
         <layout class="QHBoxLayout" name="horizontalLayout_5">
          <item>
           <widget class="QPushButton" name="b_jack_clear_xruns">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>CLear Xruns</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/edit-clear.png</normaloff>:/16x16/edit-clear.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_jack_configure">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>Configure JACK</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/configure.png</normaloff>:/16x16/configure.png</iconset>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QPushButton" name="b_jack_render">
            <property name="maximumSize">
             <size>
              <width>23</width>
              <height>16777215</height>
             </size>
            </property>
            <property name="toolTip">
             <string>JACK Render</string>
            </property>
            <property name="text">
             <string/>
            </property>
            <property name="icon">
             <iconset resource="../icons/icons.qrc">
              <normaloff>:/16x16/media-record.png</normaloff>:/16x16/media-record.png</iconset>
            </property>
           </widget>
          </item>
         </layout>
        </widget>
       </item>
       <item>
        <spacer name="horizontalSpacer">
         <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>40</width>
           <height>20</height>
          </size>
         </property>
        </spacer>
       </item>
      </layout>
     </widget>
    </item>
    <item>
     <widget class="QSplitter" name="splitter">
      <property name="sizePolicy">
       <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
      <widget class="QWidget" name="layoutWidget">
       <layout class="QVBoxLayout" name="AppListLayout">
        <item>
         <widget class="QTreeWidget" name="treeWidget">
          <property name="sizePolicy">
           <sizepolicy hsizetype="Preferred" vsizetype="Expanding">
            <horstretch>0</horstretch>
            <verstretch>0</verstretch>
           </sizepolicy>
          </property>
          <property name="contextMenuPolicy">
           <enum>Qt::CustomContextMenu</enum>
          </property>
          <property name="editTriggers">
           <set>QAbstractItemView::NoEditTriggers</set>
          </property>
          <property name="showDropIndicator" stdset="0">
           <bool>false</bool>
          </property>
          <property name="alternatingRowColors">
           <bool>true</bool>
          </property>
          <attribute name="headerVisible">
           <bool>false</bool>
          </attribute>
          <column>
           <property name="text">
            <string notr="true">1</string>
           </property>
          </column>
         </widget>
        </item>
        <item>
         <widget class="CanvasPreviewFrame" name="miniCanvasPreview">
          <property name="frameShape">
           <enum>QFrame::StyledPanel</enum>
          </property>
          <property name="frameShadow">
           <enum>QFrame::Sunken</enum>
          </property>
          <layout class="QVBoxLayout" name="verticalLayout_3"/>
         </widget>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="layoutWidget">
       <layout class="QVBoxLayout" name="verticalLayout">
        <item>
         <widget class="QLabel" name="label_first_time">
          <property name="text">
           <string>&lt;table&gt;&lt;tr&gt;&lt;td width='100'&gt;&amp;nbsp;&lt;/td&gt;&lt;td&gt;If you've started ladish for the first time, you should:&lt;br&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&amp;nbsp;&lt;/td&gt;&lt;td&gt;
 1. Create a new studio (in the menu, Studio -&gt; New Studio)&lt;br&gt;
 2. Configure JACK (in the menu, Tools -&gt; Configure JACK)&lt;br&gt;
 3. Start the studio (in the menu, Studio -&gt; Start Studio)&lt;br&gt;
 4. Start apps (in the menu, Application -&gt; Run)&lt;br&gt;
 5. Connect their ports by click &amp;amp; drag on canvas&lt;br&gt;
 6. Save the studio (in the menu, Studio -&gt; Save Studio)
&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignCenter</set>
          </property>
         </widget>
        </item>
        <item>
         <widget class="QGraphicsView" name="graphicsView">
          <property name="verticalScrollBarPolicy">
           <enum>Qt::ScrollBarAlwaysOn</enum>
          </property>
          <property name="horizontalScrollBarPolicy">
           <enum>Qt::ScrollBarAlwaysOn</enum>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
     </widget>
    </item>
    <item>
     <widget class="QFrame" name="frame_statusbar">
      <property name="sizePolicy">
       <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <property name="maximumSize">
       <size>
        <width>16777215</width>
        <height>32</height>
       </size>
      </property>
      <property name="frameShape">
       <enum>QFrame::NoFrame</enum>
      </property>
      <property name="frameShadow">
       <enum>QFrame::Sunken</enum>
      </property>
      <layout class="QHBoxLayout" name="horizontalLayout">
       <property name="margin">
        <number>2</number>
       </property>
       <item>
        <widget class="QLabel" name="label_buffer_size">
         <property name="text">
          <string>Buffer Size:</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QComboBox" name="cb_buffer_size"/>
       </item>
       <item>
        <widget class="Line" name="line_1">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QLabel" name="label_sample_rate">
         <property name="text">
          <string>Sample Rate:</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QComboBox" name="cb_sample_rate"/>
       </item>
       <item>
        <widget class="Line" name="line_2">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QLabel" name="label_realtime">
         <property name="text">
          <string> RT </string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="Line" name="line_3">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QPushButton" name="b_xruns">
         <property name="text">
          <string>? Xruns</string>
         </property>
         <property name="flat">
          <bool>true</bool>
         </property>
        </widget>
       </item>
       <item>
        <widget class="Line" name="line_4">
         <property name="orientation">
          <enum>Qt::Vertical</enum>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QProgressBar" name="pb_dsp_load">
         <property name="value">
          <number>0</number>
         </property>
         <property name="format">
          <string>DSP Load: %p%</string>
         </property>
        </widget>
       </item>
      </layout>
     </widget>
    </item>
   </layout>
  </widget>
  <widget class="QMenuBar" name="menubar">
   <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>877</width>
     <height>20</height>
    </rect>
   </property>
   <widget class="QMenu" name="menu_Studio">
    <property name="title">
     <string>&amp;Studio</string>
    </property>
    <widget class="QMenu" name="menu_studio_load">
     <property name="title">
      <string>&amp;Load Studio</string>
     </property>
     <property name="icon">
      <iconset resource="../icons/icons.qrc">
       <normaloff>:/16x16/document-open.png</normaloff>:/16x16/document-open.png</iconset>
     </property>
    </widget>
    <widget class="QMenu" name="menu_studio_delete">
     <property name="title">
      <string>&amp;Delete Studio</string>
     </property>
     <property name="icon">
      <iconset resource="../icons/icons.qrc">
       <normaloff>:/16x16/edit-delete.png</normaloff>:/16x16/edit-delete.png</iconset>
     </property>
    </widget>
    <addaction name="act_studio_new"/>
    <addaction name="menu_studio_load"/>
    <addaction name="separator"/>
    <addaction name="act_studio_start"/>
    <addaction name="act_studio_stop"/>
    <addaction name="separator"/>
    <addaction name="act_studio_save"/>
    <addaction name="act_studio_save_as"/>
    <addaction name="act_studio_rename"/>
    <addaction name="act_studio_unload"/>
    <addaction name="menu_studio_delete"/>
    <addaction name="separator"/>
    <addaction name="act_quit"/>
   </widget>
   <widget class="QMenu" name="menu_Room">
    <property name="title">
     <string>&amp;Room</string>
    </property>
    <widget class="QMenu" name="menu_room_delete">
     <property name="title">
      <string>Delete Room</string>
     </property>
     <property name="icon">
      <iconset resource="../icons/icons.qrc">
       <normaloff>:/16x16/edit-delete.png</normaloff>:/16x16/edit-delete.png</iconset>
     </property>
    </widget>
    <addaction name="act_room_create"/>
    <addaction name="menu_room_delete"/>
   </widget>
   <widget class="QMenu" name="menu_Project">
    <property name="title">
     <string>&amp;Project</string>
    </property>
    <widget class="QMenu" name="menu_project_load">
     <property name="title">
      <string>Load Project</string>
     </property>
     <property name="icon">
      <iconset resource="../icons/icons.qrc">
       <normaloff>:/16x16/document-open.png</normaloff>:/16x16/document-open.png</iconset>
     </property>
    </widget>
    <addaction name="act_project_new"/>
    <addaction name="menu_project_load"/>
    <addaction name="act_project_save"/>
    <addaction name="act_project_save_as"/>
    <addaction name="act_project_unload"/>
    <addaction name="separator"/>
    <addaction name="act_project_properties"/>
   </widget>
   <widget class="QMenu" name="menu_Application">
    <property name="title">
     <string>&amp;Application</string>
    </property>
    <addaction name="act_app_add_new"/>
    <addaction name="act_app_run_custom"/>
   </widget>
   <widget class="QMenu" name="menu_Transport">
    <property name="title">
     <string>&amp;Transport</string>
    </property>
    <addaction name="act_transport_play"/>
    <addaction name="act_transport_stop"/>
    <addaction name="act_transport_backwards"/>
    <addaction name="act_transport_forwards"/>
   </widget>
   <widget class="QMenu" name="menu_Tools">
    <property name="title">
     <string>&amp;Tools</string>
    </property>
    <addaction name="act_jack_configure"/>
    <addaction name="act_jack_render"/>
    <addaction name="act_show_logs"/>
    <addaction name="separator"/>
    <addaction name="act_jack_clear_xruns"/>
   </widget>
   <widget class="QMenu" name="menu_Settings">
    <property name="title">
     <string>S&amp;ettings</string>
    </property>
    <addaction name="act_settings_show_toolbar"/>
    <addaction name="act_settings_show_statusbar"/>
    <addaction name="separator"/>
    <addaction name="act_settings_configure"/>
   </widget>
   <widget class="QMenu" name="menu_Help">
    <property name="title">
     <string>&amp;Help</string>
    </property>
    <addaction name="act_help_about"/>
    <addaction name="act_help_about_qt"/>
   </widget>
   <widget class="QMenu" name="menu_Canvas">
    <property name="title">
     <string>&amp;Canvas</string>
    </property>
    <widget class="QMenu" name="menu_Canvas_Zoom">
     <property name="title">
      <string>Zoom</string>
     </property>
     <addaction name="act_canvas_zoom_fit"/>
     <addaction name="separator"/>
     <addaction name="act_canvas_zoom_in"/>
     <addaction name="act_canvas_zoom_out"/>
     <addaction name="act_canvas_zoom_100"/>
    </widget>
    <addaction name="act_canvas_arrange"/>
    <addaction name="act_canvas_refresh"/>
    <addaction name="menu_Canvas_Zoom"/>
    <addaction name="separator"/>
    <addaction name="act_canvas_print"/>
    <addaction name="act_canvas_save_image"/>
   </widget>
   <addaction name="menu_Studio"/>
   <addaction name="menu_Room"/>
   <addaction name="menu_Project"/>
   <addaction name="menu_Application"/>
   <addaction name="menu_Transport"/>
   <addaction name="menu_Canvas"/>
   <addaction name="menu_Tools"/>
   <addaction name="menu_Settings"/>
   <addaction name="menu_Help"/>
  </widget>
  <action name="act_help_about">
   <property name="text">
    <string>&amp;About</string>
   </property>
  </action>
  <action name="act_studio_new">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/document-new.png</normaloff>:/16x16/document-new.png</iconset>
   </property>
   <property name="text">
    <string>&amp;New Studio...</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Shift+N</string>
   </property>
  </action>
  <action name="act_studio_start">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/media-playback-start.png</normaloff>:/16x16/media-playback-start.png</iconset>
   </property>
   <property name="text">
    <string>Start Studio</string>
   </property>
   <property name="shortcut">
    <string>F5</string>
   </property>
  </action>
  <action name="act_studio_stop">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/media-playback-stop.png</normaloff>:/16x16/media-playback-stop.png</iconset>
   </property>
   <property name="text">
    <string>Stop Studio</string>
   </property>
   <property name="shortcut">
    <string>F6</string>
   </property>
  </action>
  <action name="act_studio_rename">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/edit-rename.png</normaloff>:/16x16/edit-rename.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Rename Studio...</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Shift+R</string>
   </property>
  </action>
  <action name="act_studio_save">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/document-save.png</normaloff>:/16x16/document-save.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Save Studio</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Shift+S</string>
   </property>
  </action>
  <action name="act_studio_save_as">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/document-save-as.png</normaloff>:/16x16/document-save-as.png</iconset>
   </property>
   <property name="text">
    <string>Save Studio &amp;As...</string>
   </property>
  </action>
  <action name="act_studio_unload">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/dialog-close.png</normaloff>:/16x16/dialog-close.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Unload Studio</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Shift+U</string>
   </property>
  </action>
  <action name="act_quit">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/application-exit.png</normaloff>:/16x16/application-exit.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Quit</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Q</string>
   </property>
  </action>
  <action name="act_room_create">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/list-add.png</normaloff>:/16x16/list-add.png</iconset>
   </property>
   <property name="text">
    <string>Create Room...</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Shift+C</string>
   </property>
  </action>
  <action name="act_project_save">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/document-save.png</normaloff>:/16x16/document-save.png</iconset>
   </property>
   <property name="text">
    <string>Save Project</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+S</string>
   </property>
  </action>
  <action name="act_project_save_as">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/document-save-as.png</normaloff>:/16x16/document-save-as.png</iconset>
   </property>
   <property name="text">
    <string>Save Project As...</string>
   </property>
  </action>
  <action name="act_project_unload">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/dialog-close.png</normaloff>:/16x16/dialog-close.png</iconset>
   </property>
   <property name="text">
    <string>Unload Project</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+U</string>
   </property>
  </action>
  <action name="act_app_add_new">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/list-add.png</normaloff>:/16x16/list-add.png</iconset>
   </property>
   <property name="text">
    <string>Add &amp;New...</string>
   </property>
   <property name="shortcut">
    <string>Shift+F2</string>
   </property>
  </action>
  <action name="act_app_run_custom">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/system-run.png</normaloff>:/16x16/system-run.png</iconset>
   </property>
   <property name="text">
    <string>Run &amp;Custom...</string>
   </property>
   <property name="shortcut">
    <string>F2</string>
   </property>
  </action>
  <action name="act_transport_play">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/media-playback-start.png</normaloff>:/16x16/media-playback-start.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Play</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Shift+P</string>
   </property>
  </action>
  <action name="act_transport_stop">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/media-playback-stop.png</normaloff>:/16x16/media-playback-stop.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Stop</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Shift+X</string>
   </property>
  </action>
  <action name="act_transport_backwards">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/media-seek-backward.png</normaloff>:/16x16/media-seek-backward.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Backwards</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Shift+B</string>
   </property>
  </action>
  <action name="act_transport_forwards">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/media-seek-forward.png</normaloff>:/16x16/media-seek-forward.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Forwards</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Shift+F</string>
   </property>
  </action>
  <action name="act_jack_clear_xruns">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/edit-clear.png</normaloff>:/16x16/edit-clear.png</iconset>
   </property>
   <property name="text">
    <string>Clear &amp;Xruns</string>
   </property>
  </action>
  <action name="act_jack_configure">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/configure.png</normaloff>:/16x16/configure.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Configure JACK</string>
   </property>
  </action>
  <action name="act_tools_reactivate_ladishd">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/view-refresh.png</normaloff>:/16x16/view-refresh.png</iconset>
   </property>
   <property name="text">
    <string>Reactivate ladishd</string>
   </property>
  </action>
  <action name="act_bf_32">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>32</string>
   </property>
  </action>
  <action name="act_bf_64">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>64</string>
   </property>
  </action>
  <action name="act_bf_128">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>128</string>
   </property>
  </action>
  <action name="act_bf_256">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>256</string>
   </property>
  </action>
  <action name="act_bf_512">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>512</string>
   </property>
  </action>
  <action name="act_bf_1024">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>1024</string>
   </property>
  </action>
  <action name="act_bf_2048">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>2048</string>
   </property>
  </action>
  <action name="act_bf_4096">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>4096</string>
   </property>
  </action>
  <action name="act_bf_8192">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>8192</string>
   </property>
  </action>
  <action name="act_settings_show_statusbar">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Show &amp;Statusbar</string>
   </property>
  </action>
  <action name="act_settings_show_toolbar">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Show &amp;Toolbar</string>
   </property>
  </action>
  <action name="act_settings_configure">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/configure.png</normaloff>:/16x16/configure.png</iconset>
   </property>
   <property name="text">
    <string>Configure Claudia</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+P</string>
   </property>
  </action>
  <action name="act_canvas_arrange">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/view-sort-ascending.png</normaloff>:/16x16/view-sort-ascending.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Arrange</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+G</string>
   </property>
  </action>
  <action name="act_canvas_refresh">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/view-refresh.png</normaloff>:/16x16/view-refresh.png</iconset>
   </property>
   <property name="text">
    <string>&amp;Refresh</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+R</string>
   </property>
  </action>
  <action name="act_canvas_zoom_fit">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/zoom-fit-best.png</normaloff>:/16x16/zoom-fit-best.png</iconset>
   </property>
   <property name="text">
    <string>Auto-Fit</string>
   </property>
  </action>
  <action name="act_canvas_zoom_in">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/zoom-in.png</normaloff>:/16x16/zoom-in.png</iconset>
   </property>
   <property name="text">
    <string>Zoom In</string>
   </property>
   <property name="shortcut">
    <string>Ctrl++</string>
   </property>
  </action>
  <action name="act_canvas_zoom_out">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/zoom-out.png</normaloff>:/16x16/zoom-out.png</iconset>
   </property>
   <property name="text">
    <string>Zoom Out</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+-</string>
   </property>
  </action>
  <action name="act_canvas_zoom_100">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/zoom-original.png</normaloff>:/16x16/zoom-original.png</iconset>
   </property>
   <property name="text">
    <string>Zoom 100%</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+1</string>
   </property>
  </action>
  <action name="act_canvas_print">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/document-print.png</normaloff>:/16x16/document-print.png</iconset>
   </property>
   <property name="text">
    <string>Print...</string>
   </property>
  </action>
  <action name="act_canvas_save_image">
   <property name="text">
    <string>Save Image...</string>
   </property>
  </action>
  <action name="act_help_about_qt">
   <property name="text">
    <string>About Qt</string>
   </property>
  </action>
  <action name="act_jack_render">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/media-record.png</normaloff>:/16x16/media-record.png</iconset>
   </property>
   <property name="text">
    <string>JACK R&amp;ender</string>
   </property>
  </action>
  <action name="act_show_logs">
   <property name="text">
    <string>&amp;Logs</string>
   </property>
  </action>
  <action name="act_project_new">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/document-new.png</normaloff>:/16x16/document-new.png</iconset>
   </property>
   <property name="text">
    <string>New Project...</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+N</string>
   </property>
  </action>
  <action name="act_project_load">
   <property name="text">
    <string>Load from folder...</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+L</string>
   </property>
  </action>
  <action name="act_project_properties">
   <property name="icon">
    <iconset resource="../icons/icons.qrc">
     <normaloff>:/16x16/edit-rename.png</normaloff>:/16x16/edit-rename.png</iconset>
   </property>
   <property name="text">
    <string>Project Properties..</string>
   </property>
  </action>
 </widget>
 <customwidgets>
  <customwidget>
   <class>CanvasPreviewFrame</class>
   <extends>QFrame</extends>
   <header>canvaspreviewframe.h</header>
   <container>1</container>
  </customwidget>
 </customwidgets>
 <resources>
  <include location="../icons/icons.qrc"/>
 </resources>
 <connections>
  <connection>
   <sender>act_quit</sender>
   <signal>triggered()</signal>
   <receiver>ClaudiaMainW</receiver>
   <slot>close()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>-1</x>
     <y>-1</y>
    </hint>
    <hint type="destinationlabel">
     <x>314</x>
     <y>276</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>act_settings_show_toolbar</sender>
   <signal>triggered(bool)</signal>
   <receiver>frame_toolbar</receiver>
   <slot>setVisible(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>-1</x>
     <y>-1</y>
    </hint>
    <hint type="destinationlabel">
     <x>374</x>
     <y>60</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>act_settings_show_statusbar</sender>
   <signal>triggered(bool)</signal>
   <receiver>frame_statusbar</receiver>
   <slot>setVisible(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>-1</x>
     <y>-1</y>
    </hint>
    <hint type="destinationlabel">
     <x>374</x>
     <y>536</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
